# $Revision: 1.13 $, $Date: 2005/05/20 06:13:43 $
Summary:	linpacker is a scientific tool for studying rectangle packings
Summary(pl):	Naukowe narzdzie do studiowania pakowania wieloktw
Name:		linpacker
Version:	0.5.6
Release:	2
%ifarch %{ix86}
License:	GPL with BSD-licensed, closed-source plugins
%else
License:	GPL
%endif
Group:		Applications/Math
Source0:	http://freehackers.org/~tnagy/%{name}/%{name}-%{version}.tar.bz2
# Source0-md5:	ea4175629d728b634f8b4f4fa2ceac91
Patch0:		%{name}-libdir.patch
Patch1:		%{name}-desktop.patch
Patch2:		%{name}-am19.patch
URL:		http://freehackers.org/~tnagy/linpacker/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	kdelibs-devel
BuildRequires:	rpmbuild(macros) >= 1.129
BuildRequires:	qt-devel >= 3.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
linpacker is a scientific tool for studying rectangle packings.

%description -l pl
Naukowe narzdzie do studiowania pakowania wieloktw.

%prep
%setup -q -n %{name}-%(echo %{version}|cut -f -3 -d .)
%patch0 -p0
%patch1 -p1
%patch2 -p1

%build
cp -f /usr/share/automake/config.sub admin
%{__make} -f Makefile.cvs
%configure \
	--with-qt-libraries=%{_libdir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -D $RPM_BUILD_ROOT%{_datadir}/applications/kde/%{name}.desktop \
	$RPM_BUILD_ROOT%{_desktopdir}/%{name}.desktop

# BSD license, sources not provided, only x86 binaries
%ifnarch %{ix86}
rm -rf $RPM_BUILD_ROOT%{_libdir}/%{name}/plugins
%endif
# compiled for i586
%ifarch i386 i486
rm -f $RPM_BUILD_ROOT%{_libdir}/%{name}/plugins/*2DBP1*
%endif

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%ifarch %{ix86}
%{_libdir}/linpacker
%endif
%{_datadir}/apps/%{name}
%{_datadir}/config.kcfg/%{name}*
%{_datadir}/mimelnk/application/*.desktop
%{_iconsdir}/*/*/*/%{name}.png
%{_desktopdir}/%{name}.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: linpacker.spec,v $
Revision 1.13  2005/05/20 06:13:43  ankry
- rel. 2 to rebuild with fixed desktop

Revision 1.12  2005/05/18 17:14:51  ankry
- plugins readded

Revision 1.11  2005/05/18 16:59:42  ankry
- added mimelnk desktop

Revision 1.10  2005/05/18 16:49:21  ankry
- added am19 patch

Revision 1.9  2005/05/18 07:01:33  ankry
- desktop patch added

Revision 1.8  2005/03/23 17:18:07  glen
- dropped SourceX-size

Revision 1.7  2004/11/08 21:43:27  paszczus
- release 1

Revision 1.6  2004/11/05 19:44:31  paszczus
- updated to 0.5.6
- release 0.1 ; test build please

Revision 1.5  2004/10/13 11:52:55  undefine
- patch to use libdir, not datadir
- release 2

Revision 1.4  2004/10/13 09:57:22  qboosh
- kill x86 plugins on !x86; found invalid /usr/share usage - release 1.1

Revision 1.3  2004/10/12 20:55:17  undefine
- up to 0.5.4.1, copy config.sub to allow build on amd64

Revision 1.2  2004/09/13 02:31:08  havner
- one more type :-)

Revision 1.1  2004/09/13 02:23:09  undefine
- initital rpm version
